package com.bytedance.ies.nle.editor_jni;

import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public class NLESegmentAudioLoudnessBalanceFilter extends NLESegmentFilter {
    public transient long LIZIZ;
    public transient boolean LIZJ;

    static {
        Covode.recordClassIndex(29848);
    }

    public void finalize() {
        delete();
    }

    public NLESegmentAudioLoudnessBalanceFilter() {
        this(NLEEditorJniJNI.new_NLESegmentAudioLoudnessBalanceFilter());
        MethodCollector.i(18333);
        MethodCollector.o(18333);
    }

    public final double LIZLLL() {
        MethodCollector.i(19238);
        double NLESegmentAudioLoudnessBalanceFilter_getAvgLoudness = NLEEditorJniJNI.NLESegmentAudioLoudnessBalanceFilter_getAvgLoudness(this.LIZIZ, this);
        MethodCollector.o(19238);
        return NLESegmentAudioLoudnessBalanceFilter_getAvgLoudness;
    }

    public final double LJ() {
        MethodCollector.i(19240);
        double NLESegmentAudioLoudnessBalanceFilter_getPeakLoudness = NLEEditorJniJNI.NLESegmentAudioLoudnessBalanceFilter_getPeakLoudness(this.LIZIZ, this);
        MethodCollector.o(19240);
        return NLESegmentAudioLoudnessBalanceFilter_getPeakLoudness;
    }

    public final double LJFF() {
        MethodCollector.i(18276);
        double NLESegmentAudioLoudnessBalanceFilter_getTargetLoudness = NLEEditorJniJNI.NLESegmentAudioLoudnessBalanceFilter_getTargetLoudness(this.LIZIZ, this);
        MethodCollector.o(18276);
        return NLESegmentAudioLoudnessBalanceFilter_getTargetLoudness;
    }

    public NLENode clone() {
        MethodCollector.i(19236);
        long NLESegmentAudioLoudnessBalanceFilter_clone = NLEEditorJniJNI.NLESegmentAudioLoudnessBalanceFilter_clone(this.LIZIZ, this);
        if (NLESegmentAudioLoudnessBalanceFilter_clone == 0) {
            MethodCollector.o(19236);
            return null;
        }
        NLENode nLENode = new NLENode(NLESegmentAudioLoudnessBalanceFilter_clone, true);
        MethodCollector.o(19236);
        return nLENode;
    }

    public synchronized void delete() {
        MethodCollector.i(19234);
        long j = this.LIZIZ;
        if (j != 0) {
            if (this.LIZJ) {
                this.LIZJ = false;
                NLEEditorJniJNI.delete_NLESegmentAudioLoudnessBalanceFilter(j);
            }
            this.LIZIZ = 0;
        }
        super.delete();
        MethodCollector.o(19234);
    }

    public void swigSetCMemOwn(boolean z) {
        this.LIZJ = z;
        super.swigSetCMemOwn(z);
    }

    public final void LIZ(double d) {
        MethodCollector.i(19237);
        NLEEditorJniJNI.NLESegmentAudioLoudnessBalanceFilter_setAvgLoudness(this.LIZIZ, this, d);
        MethodCollector.o(19237);
    }

    public final void LIZIZ(double d) {
        MethodCollector.i(19239);
        NLEEditorJniJNI.NLESegmentAudioLoudnessBalanceFilter_setPeakLoudness(this.LIZIZ, this, d);
        MethodCollector.o(19239);
    }

    public final void LIZJ(double d) {
        MethodCollector.i(19241);
        NLEEditorJniJNI.NLESegmentAudioLoudnessBalanceFilter_setTargetLoudness(this.LIZIZ, this, d);
        MethodCollector.o(19241);
    }

    public NLESegmentAudioLoudnessBalanceFilter(long j) {
        super(NLEEditorJniJNI.NLESegmentAudioLoudnessBalanceFilter_SWIGSmartPtrUpcast(j));
        MethodCollector.i(19215);
        this.LIZJ = true;
        this.LIZIZ = j;
        MethodCollector.o(19215);
    }

    public static NLESegmentAudioLoudnessBalanceFilter LIZ(NLENode nLENode) {
        NLESegmentAudioLoudnessBalanceFilter nLESegmentAudioLoudnessBalanceFilter;
        MethodCollector.i(19235);
        long NLESegmentAudioLoudnessBalanceFilter_dynamicCast = NLEEditorJniJNI.NLESegmentAudioLoudnessBalanceFilter_dynamicCast(NLENode.getCPtr(nLENode), nLENode);
        if (NLESegmentAudioLoudnessBalanceFilter_dynamicCast == 0) {
            nLESegmentAudioLoudnessBalanceFilter = null;
        } else {
            nLESegmentAudioLoudnessBalanceFilter = new NLESegmentAudioLoudnessBalanceFilter(NLESegmentAudioLoudnessBalanceFilter_dynamicCast);
        }
        MethodCollector.o(19235);
        return nLESegmentAudioLoudnessBalanceFilter;
    }
}
